Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QAccessibleSpinBox Class Reference

The QAccessibleSpinBox class implements the QAccessibleInterface for spinbox widgets. More...

    #include <QAccessibleSpinBox>

Inherits QAccessibleWidget.

- List of all members, including inherited members

### Public Types

- enum SpinBoxElements { SpinBoxSelf, Editor, ValueUp, ValueDown }

### Public Functions

- QAccessibleSpinBox ( QWidget * w )

- 15 public functions inherited from QAccessibleInterface

### Static Public Members

- 8 static public members inherited from QAccessible

### Protected Functions

- QSpinBox * spinBox () const

- 7 protected functions inherited from QAccessibleWidget

## Detailed Description

The QAccessibleSpinBox class implements the QAccessibleInterface for spinbox widgets.

## Member Type Documentation

### enum QAccessibleSpinBox::SpinBoxElements

This enum identifies the components of the spin box.

`QAccessibleSpinBox::SpinBoxSelf` | The spin box as a whole
`QAccessibleSpinBox::Editor` | The line edit sub-widget.
`QAccessibleSpinBox::ValueUp` | The up sub-widget (i.e. the up arrow or + button)
`QAccessibleSpinBox::ValueDown` | The down sub-widget (i.e. the down arrow or - button)

## Member Function Documentation

### QAccessibleSpinBox::QAccessibleSpinBox ( QWidget * w )

Constructs a QAccessibleSpinWidget object for w.

### QSpinBox * QAccessibleSpinBox::spinBox () const `[protected]`

Returns the underlying QSpinBox.